Package org.apache.storm.messaging.netty

# Class SaslStormServerAuthorizeHandler

java.lang.Object
org.apache.storm.shade.io.netty.channel.ChannelHandlerAdapter
org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter
org.apache.storm.messaging.netty.SaslStormServerAuthorizeHandler

All Implemented Interfaces:
  `org.apache.storm.shade.io.netty.channel.ChannelHandler`, `org.apache.storm.shade.io.netty.channel.ChannelInboundHandler`

public class SaslStormServerAuthorizeHandler extends org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter
Authorize or deny client requests based on existence and completeness of client's SASL authentication.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.storm.shade.io.netty.channel.ChannelHandler

  `org.apache.storm.shade.io.netty.channel.ChannelHandler.Sharable`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SaslStormServerAuthorizeHandler()`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `channelRead(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx, Object msg)`

  ### Methods inherited from class org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter

  `channelActive, channelInactive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, exceptionCaught, userEventTriggered`

  ### Methods inherited from class org.apache.storm.shade.io.netty.channel.ChannelHandlerAdapter

  `ensureNotSharable, handlerAdded, handlerRemoved, isSharable`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.storm.shade.io.netty.channel.ChannelHandler

  `handlerAdded, handlerRemoved`

- ## Constructor Details

  - ### SaslStormServerAuthorizeHandler

    public SaslStormServerAuthorizeHandler()
    Constructor.

- ## Method Details

  - ### channelRead

    public void channelRead(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx, Object msg) throws Exception
    Specified by:
      `channelRead` in interface `org.apache.storm.shade.io.netty.channel.ChannelInboundHandler`
    Overrides:
      `channelRead` in class `org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter`
    Throws:
      `Exception`